/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#pragma once

#include "AssetTypeActions_Base.h"
#include "CoreMinimal.h"

class INWORLDRUNTIMEEDITOR_API FAssetActions_InworldTextEmbeddings : public FAssetTypeActions_Base
{
public:
	FAssetActions_InworldTextEmbeddings(EAssetTypeCategories::Type InAssetCategory);

	virtual FText GetName() const override;
	virtual FColor GetTypeColor() const override;
	virtual UClass* GetSupportedClass() const override;
	virtual uint32 GetCategories() override;

private:
	EAssetTypeCategories::Type MyAssetCategory;
};
